%define upstream_name    Time-SoFar
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to calculate run time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
*Time::SoFar* has two functions for calculating how long a script has been
running. 'runtime()' always works from the time the script was started
(using _$^T_). 'runinterval()' works from the last time 'runtime()' or
'runinterval()' was called (or since the start of the script).

Both 'runtime()' and 'runinterval()' use 'figuretimes()' to render a raw
number of seconds into component time units. Both take an optional boolean
argument that gets passed to 'figuretimes()' to influence its output.

In an array context 'figuretimes()' returns the timecomponents as an array,
in a scalar context it returns those components as a *:* delimited string.
The default behaviour is to optimize away 0 output from the longer period
end of the output, leaving a minimum of minutes:seconds. This is good for
arrays that will be passed to 'join()', but not so good for a list of
variables, so this behaviour can be disabled by using a true value for
_$no_optimize_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 515768
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 374359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 182455
- imported package perl-Time-SoFar


* Fri Dec 16 2011 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
